<div class="monitor-vacancies">
  <app-content-banner [isDashboard]="false" pageName="Monitor Vacancies"></app-content-banner>
  <mat-card  class="mv-main-card mat-elevation-z0">
      <mat-card-header  fxLayout="column" fxLayoutGap="5px" *ngIf ="selectedTab === 0">
          <div fxLayout="row" class="second-header-filter">
              <span (click)="selectCounterFilter('isPending')" ><b>Pending:&nbsp;</b>{{pending}}</span>
              <span (click)="selectCounterFilter('isOverdue')"><b>Overdue for Review:&nbsp;</b>{{overdue}}</span>
              <span (click)="selectCounterFilter('isOffline')"><b>Offline Verification:&nbsp;</b>{{offlineVerified}}</span>
              <span (click)="selectCounterFilter('isOnline')"><b>Online Verification:&nbsp;</b>{{onlineVerified}}</span>
          </div>
        </mat-card-header>
      <!--  <mat-card-header  fxLayout="column" fxLayoutGap="5px" *ngIf ="selectedTab === 1 ">
          <div fxLayout="row" class="second-header-filter">
            <span><b>Offline Overdue:  </b>{{overdue}}</span>
          </div>
        </mat-card-header>
        <mat-card-header  fxLayout="column" fxLayoutGap="5px" *ngIf ="selectedTab === 2">
          <div fxLayout="row" class="second-header-filter">
           <span><b>Online Verification:  </b>{{onlineVerified}}</span>
          </div>
        </mat-card-header>-->


      <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab *ngIf="is_SH_PE || is_CAS">
          <ng-template matTabLabel>
            <span>Pending</span>
          </ng-template>
          <ng-template matTabContent>
              
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                   
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                        <div fxLayoutAlign="start" fxFlex="auto" style="padding: 8px; font-weight: 600;"><span *ngIf="flagClicked != ''">List of Units with {{ flagClicked}}</span></div>
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('p')" color="primary" matTooltip="Reset the filters">settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('p')" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #pendingAgGrid id="pendingMyGrid" style="width: 100%" class="ag-theme-balham my-grid"
                      [columnDefs]="pendingColumnDefs" [defaultColDef]="defaultColDef" [rowData]="pendingRowData"
                      [context]="context" [floatingFilter]="true" [animateRows]="true" [gridOptions]="pendinggridOptions"
                      [pagination]="true" [paginationPageSize]="20" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onPendingGridReady($event)">
                    </ag-grid-angular>
                    <div fxLayout="row" class="grid-footer">
                        <div class="foot-notes" fxLayoutAlign="start" fxFlex="auto"> <span class="color-grade"></span> Overdue for Review Units</div>
                      </div>
            
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="is_SH_PE">
          <ng-template matTabLabel>
            <span>Offline-Verified</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('f')" color="primary" matTooltip="Reset the filters">refresh
                        </mat-icon>
                        <mat-icon (click)="onBtExport('f')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #offlineVerifiedAgGrid id="offlineVerifiedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="offlineVerifiedColumnDefs"
                      [defaultColDef]="defaultColDef" [rowData]="offlineVerifiedRowData" [context]="context"
                      [floatingFilter]="true" [animateRows]="true" [gridOptions]="offlineVerifiedgridOptions" [pagination]="true"
                      [paginationPageSize]="20" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onOfflineVerifiedGridReady($event)">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>

        <mat-tab *ngIf="is_SH_PE">
          <ng-template matTabLabel>
            <span>Online-Verified</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('o')" color="primary" matTooltip="Reset the filters">refresh
                        </mat-icon>
                        <mat-icon (click)="onBtExport('o')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #onlineVerifiedAgGrid id="onlineVerifiedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="onlineVerifiedColumnDefs" [defaultColDef]="defaultColDef"
                      [rowData]="onlineVerifiedRowData" [context]="context" [floatingFilter]="true" [animateRows]="true"
                      [gridOptions]="onlineVerifiedgridOptions" [pagination]="true" [paginationPageSize]="20"
                      [frameworkComponents]="frameworkComponents" (gridReady)="onOnlineVerificationGridReady($event)">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
